public class DataSlicer() {
    protected DataSlice slice = new DataSlice();

    public DataSlicer() {}

    public void hasMoreSlices() {}

    public DataSlice nextSlice() {}

    public void countSlices() {}
}
